> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skills

> List all skills owned by the authenticated project with optional filtering.



## OpenAPI

````yaml /cloud/openapi/v2.json get /skills
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills:
    get:
      tags:
        - Skills
      summary: List Skills
      description: >-
        List all skills owned by the authenticated project with optional
        filtering.
      operationId: list_skills_skills_get
      parameters:
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Pagesize
        - name: pageNumber
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Pagenumber
        - name: isPublic
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Ispublic
        - name: isEnabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Isenabled
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SkillCategory'
              - type: 'null'
            title: Category
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 100
              - type: 'null'
            title: Query
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Fromdate
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Todate
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SkillCategory:
      type: string
      enum:
        - search
        - e_commerce
        - financial
        - news
        - real_estate
        - social_media
        - travel
        - marketplace
        - lead_generation
        - seo
        - jobs
        - developer
        - media
        - automation
        - integration
        - other
      title: SkillCategory
      description: Skill category.
    SkillListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SkillResponse'
          type: array
          title: Items
          description: List of skills
        totalItems:
          type: integer
          title: Total Items
          description: Total number of items in the list
        pageNumber:
          type: integer
          title: Page Number
          description: Page number
        pageSize:
          type: integer
          title: Page Size
          description: Number of items per page
      type: object
      required:
        - items
        - totalItems
        - pageNumber
        - pageSize
      title: SkillListResponse
      description: Response for listing skills.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SkillResponse:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the skill
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
          description: URL-friendly slug for the skill
        title:
          type: string
          title: Title
          description: Title of the skill (shows up in the public view)
        description:
          type: string
          title: Description
          description: Description of the skill (shows up in the public view)
        categories:
          items:
            $ref: '#/components/schemas/SkillCategory'
          type: array
          title: Categories
          description: Categories of the skill
        domains:
          items:
            type: string
          type: array
          title: Domains
          description: Domains/websites this skill interacts with
        goal:
          anyOf:
            - type: string
            - type: 'null'
          title: Goal
          description: Goal of the skill (not shown in the public view)
        agentPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Prompt
          description: >-
            Prompt for the agent to use when generating the skill automatically
            (not shown in the public view)
        status:
          $ref: '#/components/schemas/SkillsGenerationStatus'
          title: Status
          description: Status of the skill
        parameters:
          items:
            $ref: '#/components/schemas/ParameterSchema'
          type: array
          title: Parameters
          description: Input parameters of the skill
        outputSchema:
          additionalProperties: true
          type: object
          title: Output Schema
          description: Output schema of the skill
        isEnabled:
          type: boolean
          title: Enabled
          description: Whether the skill is enabled
        isPublic:
          type: boolean
          title: Is Public
          description: Whether the skill is publicly available
        iconUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon URL
          description: URL of the custom skill icon
        firstPublishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Published At
          description: When the skill was first published
        lastPublishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Published At
          description: When the skill was last published
        currentVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
          description: Current version of the skill
        currentVersionStartedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Version Started At
          description: When the current version started generating
        currentVersionFinishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Version Finished At
          description: When the current version finished generating
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code (base64 encoded) - ENTERPRISE ONLY
          description: >-
            Base64 encoded generated code (contact support@browser-use.com to
            get access) - ENTERPRISE ONLY
        clonedFromSkillId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Cloned From Skill ID
          description: Unique identifier for the skill this skill was cloned from
        createdAt:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
      type: object
      required:
        - id
        - title
        - description
        - categories
        - domains
        - status
        - parameters
        - outputSchema
        - isEnabled
        - isPublic
        - currentVersion
        - createdAt
        - updatedAt
      title: SkillResponse
      description: Skill information returned by the API.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SkillsGenerationStatus:
      type: string
      enum:
        - recording
        - generating
        - failed
        - finished
        - cancelled
        - timed_out
      title: SkillsGenerationStatus
      description: Status of skill generation.
    ParameterSchema:
      properties:
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/ParameterType'
        required:
          type: boolean
          title: Required
          default: true
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
        cookieDomain:
          anyOf:
            - type: string
            - type: 'null'
          title: Cookiedomain
      type: object
      required:
        - name
        - type
      title: ParameterSchema
      description: Schema for a skill parameter.
    ParameterType:
      type: string
      enum:
        - string
        - number
        - boolean
        - object
        - array
        - cookie
      title: ParameterType
      description: Type of a skill parameter.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````